QGIS Application - Feature request #10387
change default label font
2014-05-29 01:28 AM - matteo ghetta

Status: Open

Priority: Normal

Assignee: Larry Shaffer

Category: Labelling

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18804
Description

It would be great to have the possibility to set the default font of the label just like one can set the font of the print composer.
This should avoid boring problems when exporting projects to machines with different OS.

Related issues:
Related to QGIS Application - Bug report # 8072: Use more modern default font... Closed 2013-06-15

History

#1 - 2014-05-29 03:28 PM - Larry Shaffer

- Target version set to Future Release - Lower Priority

- Assignee set to Larry Shaffer

There are two things that can be done here:

- Allow setting the default label font, as per this feature request
- Offer a decent cross-platform default font, similar to how the "new test font is made auto-available":#34be93b8

It is good to offer the ability to override the default font, but important to offer a good cross-platform font. This is in contrast to Issue #8072, which is to offer
good default fonts specific to a platform.

A significant reason to have a cross-platform font, is because the desktop environ may be significantly different than the server, e.g. Mac or Windows ->

Linux. Ensuring there is at least one similar default font will go a long ways towards resolving cross-platform deployment of projects, desktop-to-desktop

and desktop-to-server.

Currently, the default font is that which Qt defines as default for the platform.

#2 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
